Require Import bool.
Require Import connectives.
Require Import leibniz.
Parameter nat : Type.
Parameter S : nat -> nat.
Parameter match_nat_type : forall (return_:Type), return_ -> (nat -> return_) -> nat -> return_.
Parameter eqb : nat -> nat -> bool.bool.
Parameter eqb_body : nat -> nat -> bool.bool.
Axiom axiom_eqb_body_S : forall (n:nat), connectives.equal (nat -> bool.bool) (eqb_body (S n)) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => eqb n q) m).
Definition eq_eqb_body_S : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (eqb_body (S n)) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => eqb n q) m) := fun (n:nat) => ((((connectives.equal_leibniz) (nat -> bool.bool)) (eqb_body (S n))) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => eqb n q) m)) ((axiom_eqb_body_S) (n)).
Definition sym_eq_eqb_body_S : forall (n:nat), leibniz.leibniz (nat -> bool.bool) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => eqb n q) m) (eqb_body (S n)) := fun (n:nat) => ((((leibniz.sym_leibniz) (nat -> bool.bool)) (eqb_body (S n))) (fun (m:nat) => match_nat_type (bool.bool) bool.false (fun (q:nat) => eqb n q) m)) ((eq_eqb_body_S) (n)).
